Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class JXStatusBar.Constraint

    java.lang.Object
      org.jdesktop.swingx.JXStatusBar.Constraint

Enclosing class:
  JXStatusBar

    public static class JXStatusBar.Constraint

extends java.lang.Object

The constraint object to be used with the `JXStatusBar`. It takes a ResizeBehaviour, Insets and a Width. Width is only applicable for ResizeBehavior.FIXED. @see JXStatusBar class documentation.

Nested Class Summary
`static class` | `JXStatusBar.Constraint.ResizeBehavior`

Constructor Summary
`JXStatusBar.Constraint()` Creates a new Constraint with default FIXED behaviour and no insets.
`JXStatusBar.Constraint(java.awt.Insets insets)` Creates a new Constraint with default FIXED behaviour and the given insets
`JXStatusBar.Constraint(int fixedWidth)` Creates a new Constraint with default FIXED behaviour and the given fixed width.
`JXStatusBar.Constraint(int fixedWidth, java.awt.Insets insets)` Creates a new Constraint with default FIXED behaviour and the given fixed width, and using the given Insets.
`JXStatusBar.Constraint(JXStatusBar.Constraint.ResizeBehavior resizeBehavior)` Creates a new Constraint with the specified resize behaviour and no insets
`JXStatusBar.Constraint(JXStatusBar.Constraint.ResizeBehavior resizeBehavior, java.awt.Insets insets)` Creates a new Constraint with the specified resize behavior and insets.

Method Summary
`int` | `getFixedWidth()` Get fixed width.
`java.awt.Insets` | `getInsets()` Returns the insets.
`JXStatusBar.Constraint.ResizeBehavior` | `getResizeBehavior()` Returns the ResizeBehavior.
`void` | `setFixedWidth(int width)` Set the fixed width the component added with this constraint will occupy on the `JXStatusBar`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXStatusBar.Constraint

    public JXStatusBar.Constraint()

  Creates a new Constraint with default FIXED behaviour and no insets.

### JXStatusBar.Constraint

    public JXStatusBar.Constraint(java.awt.Insets insets)

  Creates a new Constraint with default FIXED behaviour and the given insets

  Parameters:
    `insets` - may be null. If null, an Insets with 0 values will be used.

### JXStatusBar.Constraint

    public JXStatusBar.Constraint(int fixedWidth)

  Creates a new Constraint with default FIXED behaviour and the given fixed width.

  Parameters:
    `fixedWidth` - must be >= 0

### JXStatusBar.Constraint

    public JXStatusBar.Constraint(int fixedWidth,
                                  java.awt.Insets insets)

  Creates a new Constraint with default FIXED behaviour and the given fixed width, and using the given Insets.

  Parameters:
    `fixedWidth` - must be >= 0
    `insets` - may be null. If null, an Insets with 0 values will be used.

### JXStatusBar.Constraint

    public JXStatusBar.Constraint(JXStatusBar.Constraint.ResizeBehavior resizeBehavior)

  Creates a new Constraint with the specified resize behaviour and no insets

  Parameters:
    `resizeBehavior` - - either JXStatusBar.Constraint.ResizeBehavior.FIXED or JXStatusBar.Constraint.ResizeBehavior.FILL.

### JXStatusBar.Constraint

    public JXStatusBar.Constraint(JXStatusBar.Constraint.ResizeBehavior resizeBehavior,
                                  java.awt.Insets insets)

  Creates a new Constraint with the specified resize behavior and insets.

  Parameters:
    `resizeBehavior` - - either JXStatusBar.Constraint.ResizeBehavior.FIXED or JXStatusBar.Constraints.ResizeBehavior.FILL.
    `insets` - may be null. If null, an Insets with 0 values will be used.

Method Detail

### setFixedWidth

    public void setFixedWidth(int width)

  Set the fixed width the component added with this constraint will occupy on the `JXStatusBar`. Only applies to ResizeBehavior.FIXED. Will be ignored for ResizeBehavior.FILL.

  Parameters:
    `width` - - minimum width component will occupy. If 0, the preferred width of the component will be used. The width specified must be >= 0

### getResizeBehavior

    public JXStatusBar.Constraint.ResizeBehavior getResizeBehavior()

  Returns the ResizeBehavior.

  Returns:
    ResizeBehavior

### getInsets

    public java.awt.Insets getInsets()

  Returns the insets.

  Returns:
    insets

### getFixedWidth

    public int getFixedWidth()

  Get fixed width. Width is zero for resize behavior FILLED

  Returns:
    the width of this constraint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.